package com.lpdp.del.tenunapp.dependency.models;

import android.support.annotation.Nullable;

import com.google.gson.annotations.SerializedName;

/**
 * Created by User on 18/10/2016.
 */

public class RequestBodyGenerateImg {
    public static String ALGO_IMG_QUILTING = "img_quilting";
    //public static String ALGO_IMG_WARPING = "img_warping";
    public static String ALGO_NON_PARAMETRIC_SAMPLING = "non_parametric_sample";

    //TODO : CEK THEN GO FOR IT (PUT ENUM IT)

    private String sourceFile;
    private String algoritma;
    //private String algoritma2;

    @SerializedName("Output Size")
    @Nullable
    private int outputSize;

    @SerializedName("Output Shape")
    @Nullable
    private String outputShape;

    @SerializedName("Sum of Matrix")
    @Nullable
    private int sumofMatrix;

    @SerializedName("Color")
    @Nullable
    private String color;

    public RequestBodyGenerateImg(String sourceFile) {
        this.sourceFile = sourceFile;
        this.algoritma = ALGO_IMG_QUILTING;
    }

    public RequestBodyGenerateImg(String sourceFile, String algoritma, int outputSize, int sumofMatrix, String color, String outputShape ) {
        this.sourceFile = sourceFile;
        this.algoritma = algoritma;
        this.outputSize = outputSize;
        this.sumofMatrix = sumofMatrix;
        this.color = color;
        this.outputShape = outputShape;
    }

    public String getSourceFile() {
        return sourceFile;
    }

    public void setSourceFile(String sourceFile) {
        this.sourceFile = sourceFile;
    }

    public String getAlgoritma() {
        return algoritma;
    }

    public void setAlgoritma(String algoritma) {
        this.algoritma = algoritma;
    }

    @Nullable
    public int getOutputSize() {
        return outputSize;
    }

    public void setOutputSize(@Nullable int outputSize) {
        this.outputSize = outputSize;
    }

    @Nullable
    public String getOutputShape() {
        return outputShape;
    }

    public void setOutputShape(@Nullable String outputShape) {
        this.outputShape = outputShape;
    }

    @Nullable
    public int getSumofMatrix() {
        return sumofMatrix;
    }

    public void setSumofMatrix(@Nullable int sumofMatrix) {
        this.sumofMatrix = sumofMatrix;
    }

    @Nullable
    public String getColor() {
        return color;
    }

    public void setColor(@Nullable String color) {
        this.color = color;
    }
}
